Showing error while installing woocommerce plugin

Hello,

I’m facing an issue while importing template using a ‘Starter Templates’ plugin on my WordPress installation.

Related article says it might be server error and asks me to reach out to the server administration/hosting provider to fix this issue.

Can you please take a look. Looking forward to hearing from you.

anyone can help that will be greatfull.
Thank You!

Regards,
Bolly

2 Likes

what should i do know?

Have you read the article i’ve posted?

yes i have read and i have done all this but still getting error.

Could you send us an screenshot of the exact problem?

2 Likes

Look at this error i have gone through the errors but i could not find any solution.

If you had read this article https://support.infinityfree.net/wordpress/installation-failed-critical-error-on-your-website/ shared by @anon19508339 you must have learned that this plugin size is greater than 10 MB due to which you can’t directly update it from dashboard. You will need to do it manually by uploading files to the plugin folder of your wordpress site.

5 Likes

Yes, just download the plugin from wordpress, upload it to ftp manager wordpress plugin folder, after uploading, activate it on wordpress dashboard.

3 Likes

:roll_eyes:
To be quite honest, the article has explained the reason well. But the error means it’s something with server responding.

looking at update failed, it’ll still fail not because of server responding, but 10MB upload limit. And like i and others said Could you please install it manually?

3 Likes

i have installed manually too, before uploading my query here. but, i am installing it again as you guys said how i can do it properly. I hope it will work.

As everyone has said, this failed due to the fact that the file was over 10Megabytes and the server didn’t know what to do with it;

02 Bad Gateway server error response code indicates that the server, while acting as a gateway or proxy, received an invalid response from the upstream server.

Upload the plugin manually, https://www.dummies.com/web-design-development/wordpress/templates-themes-plugins/how-to-install-wordpress-plugins-manually/

(sorry i just like the website ‘Dummies’ it is very useful for guides.)

Hey guys, i want to know one thing is it okay if i use old version of any plugin? will it affect my theme? please tell

Regard

Yes you can, it will not affect the theme, but you will missed some additional new features that can be only found on newest version. Or maybe the old version had some bugs.

okay thanku all for helping me out
all setup…

Using older version of plugin might cause problem with the latest version of wordpress

1 Like

You might consider some considerations for using old plugin.

  1. Security vulnerabilities might be a big problem. Usually, updating patches these known vulnerabilities.

  2. Performance difference. Developers update the plugins to optimize it and compress it to increase plugin’s speed.

  3. New features will say goodbye to you instead of greeting you. The updated plugin may add new features that it helps more to you.

Maybe, some updated themes might not compatible to old plugins and vice versa.

7 Likes

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.